Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class SingleCSOperator

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator

Direct Known Subclasses:
  Apriori, AttributeDerivation, CreatePrimaryKey, FeatureConstructionByRelation, FeatureConstructionWithTFIDF, FeatureSelection, JoinByKey, Materialize, ModelApplier, MultiRelationalFeatureConstruction, Pivotize, RemoveDuplicates, ReversePivotize, RowSelection, SpecifiedStatistics, TimeOperator, Union, UnionByKey, Windowing

    public abstract class SingleCSOperator

extends ConceptOperator

This abstract class is the superclass for all operators that create a single ColumnSet for the output concept.

Version:
  $Id: SingleCSOperator.java,v 1.6 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler
See Also:
  `edu.udo.cs.miningmart.m4.core.operator.MultipleCSOperator`, `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`SingleCSOperator()`

Method Summary
`Columnset[]` | `generateColumnSetsForOp(boolean lazy)` Abstract method to be implemented by subclasses.
`abstract java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart, int index)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `getNewCSName()` For a `SingleConcept` operator the index is always -1, so this method can be defined without an argument.
`abstract java.lang.String` | `getTypeOfNewColumnSet()` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`java.lang.String` | `getTypeOfNewColumnSet(int index)` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`protected java.lang.String` | `handleExtraOutputFeature(Feature outputFeature, Columnset csForOuputConcept)` The standard handling of extra output features is printing out a warning.

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, mustCopyFeature, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleCSOperator

    public SingleCSOperator()

Method Detail

### generateColumnSetsForOp

    public Columnset[] generateColumnSetsForOp(boolean lazy)
                                        throws M4CompilerError,
                                               M4CompilerWarning

  Description copied from class: `ConceptOperator`
  Abstract method to be implemented by subclasses.

  Specified by:
    `generateColumnSetsForOp` in class `ConceptOperator`
  Returns:
    An array of ColumnSet objects
  Throws:
    `M4CompilerError`
    `M4CompilerWarning`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#generateColumnSetsForOp`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart,
                                                  int index)
                                           throws M4CompilerError,
                                                  M4CompilerWarning

  Description copied from class: `ConceptOperator`
  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `ConceptOperator`
  Parameters:
    `selectPart` - The String for the SELECT-part of the SQL definition to be created.
    `index` - An index for MultipleCSOperators.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
    `M4CompilerWarning`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#generateSQLDefinition`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet(int index)

  Description copied from class: `ConceptOperator`
  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table. Use the constants in the class Columnset, either CS_TYPE_TABLE or CS_TYPE_VIEW.

  Specified by:
    `getTypeOfNewColumnSet` in class `ConceptOperator`
  Parameters:
    `index` - An index for MulipleCSOperators.
  Returns:
    The type of the new Columnset, either Columnset.CS_TYPE_TABLE or Columnset.CS_TYPE_VIEW.
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### handleExtraOutputFeature

    protected java.lang.String handleExtraOutputFeature(Feature outputFeature,
                                                        Columnset csForOuputConcept)
                                                 throws M4CompilerError

  The standard handling of extra output features is printing out a warning. Subclasses may overwrite this method.

  Specified by:
    `handleExtraOutputFeature` in class `ConceptOperator`
  Parameters:
    `outputFeature` - Feature to be dealt with
    `csForOuputConcept` - Columnset that was created for the output concept
  Returns:
    a String with a column definition
  Throws:
    `M4CompilerError`

### getNewCSName

    public java.lang.String getNewCSName()
                                  throws M4CompilerError

  For a `SingleConcept` operator the index is always -1, so this method can be defined without an argument.

  Throws:
    `M4CompilerError`
  See Also:
    `ConceptOperator.getNewCSName(int)`

### getTypeOfNewColumnSet

    public abstract java.lang.String getTypeOfNewColumnSet()

  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.

  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### generateSQLDefinition

    public abstract java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                                    throws M4CompilerError,
                                                           M4CompilerWarning

  This method must return the SQL definition of the newly created ColumnSet.

  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
    `M4CompilerWarning`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005